[SCM] live-tools branch, debian, updated. b99a4b0b5a1d0c83e725e8624d6ecffa9421ea2e

Daniel Baumann daniel at debian.org
Mon Dec 6 14:15:32 UTC 2010


The following commit has been merged in the debian branch:
commit 4d5770375c1010ebfbc1f963bbf4a7d478f98397
Author: Daniel Baumann <daniel at debian.org>
Date:   Mon Dec 6 14:58:24 2010 +0100

    Adding live-system script to determine if the running system is a live system or not.

diff --git a/scripts/live-system b/scripts/live-system
new file mode 100755
index 0000000..026ab64
--- /dev/null
+++ b/scripts/live-system
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# Redirect stdout to stderr
+exec 1>&2
+
+case "${1}" in
+	-h|--help|-u|--usage)
+		echo "live-system - determine if running system is a live system"
+		echo
+		echo "Usage: ${0} [-v|--verbose]"
+
+		exit 2
+		;;
+
+	-v|--verbose)
+		_VERBOSE="true"
+		;;
+esac
+
+[ "${_VERBOSE}" ] && echo -n "Checking for live-system... "
+
+if [ ! -e /proc/cmdline ]
+then
+	echo "E: /proc/cmdline - No such file."
+	exit 2
+fi
+
+if grep -qs boot=live /proc/cmdline
+then
+	[ "${_VERBOSE}" ] && echo -n " yes, this is a live system"
+
+	if [ -d /live/image/install ]
+	then
+		if ls /live/image/install/pool/main/l/live-installer/live-installer_*.udeb > /dev/null 2>&1
+		then
+			[ "${_VERBOSE}" ] && echo " with live-installer support."
+		else
+			[ "${_VERBOSE}" ] && echo " without live-installer support."
+		fi
+	else
+		[ "${_VERBOSE}" ] && echo "without installer support."
+	fi
+
+	exit 0
+else
+	[ "${_VERBOSE}" ] && echo " no, this is not a live system."
+
+	exit 1
+fi

-- 
live-tools



More information about the debian-live-changes mailing list